Name:		guilt
Version:	0.30
Release:	1%{?dist}
Summary:	Scripts to manage quilt-like patches on top of git

Group:		Development/Tools
License:	GPLv2
URL:		http://www.kernel.org/pub/linux/kernel/people/jsipek/%{name}/
Source:		http://www.kernel.org/pub/linux/kernel/people/jsipek/%{name}/%{name}-%{version}.tar.bz2
Requires:	git, gawk, sed, bash

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	asciidoc, xmlto, git-core

%description
Guilt allows one to use quilt functionality on top of a Git repository.
Changes are maintained as patches which are committed into Git.  Commits can
be removed or reordered, and the underlying patch can be refreshed based on
changes made in the working directory. The patch directory can also be
placed under revision control, so you can have a separate history of changes
made to your patches.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT/usr
make install-doc PREFIX=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT/usr/share/man

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING Documentation/HOWTO Documentation/Contributing Documentation/Features
%{_bindir}/guilt*
%{_mandir}/man1/guilt*.1*
%{_mandir}/man7/guilt*.7*

%changelog
* Fri Apr 11 2008 Eric Sandeen <sandeen@redhat.com> 0.30-1
- New upstream version

* Mon Apr 07 2008 Eric Sandeen <sandeen@redhat.com> 0.29-1
- Initial build
